Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518400 - (re)enable calligra stage
Summary: (re)enable calligra stage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calligra
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1582890 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 20:23 UTC by Vladimir Rulev
Modified: 2018-12-17 19:12 UTC (History)
4 users (show)

Fixed In Version: calligra-3.1.0-11.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-17 19:12:05 UTC


Attachments (Terms of Use)

Description Vladimir Rulev 2017-11-28 20:23:11 UTC
Description of problem:
There are no any binaries in calligra-stage-3.0.1-9.fc27.x86_64.rpm package. That is why I can not run this app.

Version-Release number of selected component (if applicable):
calligra-stage-3.0.1-9.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. install calligra suite with calligra stage
2. try to run calligra stage

Actual results:
There are no any binaries of stage you can run.
 $ rpm -ql calligra-stage | grep bin
 $ 


Expected results:
There should be executable binary (/usr/bin/calligrastage ?).

Comment 1 Rex Dieter 2017-11-28 20:30:49 UTC
I'll take a closer look, but it appears upstream only builds the stage part/plugin, but purposely disables the app:

------ The following product(set)s/features can NOT be built ------
...
-- APP_STAGE:  Stage app (for Desktop)  |  No maintainer currently

Comment 2 Rex Dieter 2018-05-27 17:46:08 UTC
*** Bug 1582890 has been marked as a duplicate of this bug. ***

Comment 3 Ben Cotton 2018-11-27 15:36:06 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 21:44:56 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Kevin Kofler 2018-12-03 22:51:25 UTC
Just build Calligra with -DBUILD_UNMAINTAINED=TRUE and you will get the missing pieces.

Comment 6 Kevin Kofler 2018-12-03 22:54:34 UTC
Or backport this:
https://cgit.kde.org/calligra.git/commit/?id=e6cde3a226ae1d27d51567d921e816217efb934d
to enable just Stage. (Stage was enabled upstream in git master with that commit on 2018-10-17.)

Comment 7 Rex Dieter 2018-12-05 17:12:03 UTC
Thanks Kevin.

Now that upstream enables it, I feel better about doing so in our packaging.

Comment 8 Fedora Update System 2018-12-08 14:34:10 UTC
calligra-3.1.0-11.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7569f3491e

Comment 9 Fedora Update System 2018-12-08 14:34:42 UTC
calligra-3.1.0-11.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6707d310c0

Comment 10 Fedora Update System 2018-12-17 02:27:36 UTC
calligra-3.1.0-11.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-12-17 19:12:05 UTC
calligra-3.1.0-11.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.